#
# spec file for package pavuk (Version 0.9pl28)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  glib glib-devel gtk gtk-devel xf86 xpm
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext glib glib-devel gtk gtk-devel libtool libz pam perl rpm xdevel xf86 xshared

Name:         pavuk
License:      GPL
Group:        Productivity/Networking/Web/Utilities
Autoreqprov:  on
Summary:      Mirrors WWW sites
Version:      0.9pl28
Release:      655
Source0:      pavuk-%{version}.tar.bz2
Patch:        pavuk-%{version}.dif
Patch1:       %{name}-%{version}-buffer-overflow.diff
URL:          http://www.idata.sk/~ondrej/pavuk/

%description
Pavuk is UNIX program used to mirror contents of WWW documents or files.
It transfers documents from HTTP, FTP, and Gopher servers.

Authors:
--------
    Ondrejicka Stefan <ondrej@idata.sk>

%prep
%setup
%patch
%patch1

%build
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG -O2 " ./configure \
  --prefix=/usr \
  --mandir=%{_mandir} \
  --sysconfdir=/etc \
  --enable-debug
  
make

%install
make install
install -m 644 pavukrc.sample /etc/pavukrc
rm -f /usr/info/dir.bak.gz

%files
%doc FAQ README COPYING INSTALL TODO
%doc ABOUT-NLS BUGS AUTHORS NEWS ChangeLog MAILINGLIST CREDITS
/usr/bin/pavuk
%doc %{_mandir}/man1/pavuk.1.gz
/usr/share/icons/pavuk_16x16.xpm
/usr/share/icons/pavuk_32x32.xpm
/usr/share/icons/pavuk_64x64.xpm
/usr/share/icons/pavuk_as_icon.xpm
/usr/share/icons/pavuk_prg_icon.xpm
/usr/share/locale/*/LC_MESSAGES/pavuk.mo
%config /etc/pavukrc

%changelog -n pavuk
* Mon Jun 21 2004 - mjancar@suse.cz
- fix buffer overflow (#42141)
* Mon Mar 18 2002 - uli@suse.de
- build with --enable-debug to allow fine-tuning (bug #15105)
* Mon Mar 04 2002 - uli@suse.de
- commented out entries in pavukrc that require customization
  (bug #13977)
* Wed Aug 15 2001 - uli@suse.de
- update -> 0.9pl28
* Tue Jul 24 2001 - uli@suse.de
- update -> 0.9pl27
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Wed Apr 18 2001 - uli@suse.de
- more 64 bit fixes
* Thu Mar 29 2001 - uli@suse.de
- fixed for gcc >2.95
- 64 bit fixes
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Wed Jun 07 2000 - ro@suse.de
- doc relocation
* Sun Mar 05 2000 - olh@suse.de
- New version 0.9pl23, move manpages
* Fri Jan 14 2000 - uli@suse.de
- New version 0.9pl23
* Tue Oct 26 1999 - uli@suse.de
- New version 0.9pl21
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Thu Jul 08 1999 - uli@suse.de
- Spec file created from pavuk-0.9pl17.tgz by autospec
